using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using System.IO;

namespace Halo3Map.BLF
{
    public class mapImage : blf
    {

        public int imageSize;
        public Image image;

        public mapImage(string FilePath)
            : base(FilePath)
        {
        }

        public override void Read()
        {
            //Read the base header
            base.Read();

            //read the image size and the image data
            imageSize = InputStream.In.ReadInt32();
            image = Image.FromStream(
                new MemoryStream(InputStream.In.ReadBytes(imageSize)));
        }

    }
}
